1. Trades
Fusion Developer Platform
  • Getting started with Fusion
    • Overview
    • API key generation
    • Rate limits
  • API
    • Getting started
    • Market data
      • Get server time
      • Get tickers
      • Get trading pairs
      • Get orderbook
      • Get candles
      • Get assets
    • Account
      • Get account
      • Get account balances
    • Trading
      • Orders
        • Get orders
        • Create order
        • Get order by ID
        • Cancel order by ID
      • Trades
        • Get trades
          GET
        • Get trade by ID
          GET
  • MCP
    • Getting started
    • Available tools
  • CLI
    • Getting Started
    • Commands
  1. Trades

Get trade by ID

GET
https://api.fusion.bitpanda.com/v1/account/trades/{tradeId}
Retrieves a single trade by its unique identifier.

Request

Path Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.fusion.bitpanda.com/v1/account/trades/trade-a1b2c3d4' \
--header 'x-api-key: <YOUR_API_KEY>'
Response Response Example
200 - Success
{
    "id": "trade-a1b2c3d4",
    "orderId": "3aaad2dd-65ef-4ce8-98da-8af52a5b6f3e",
    "pair": "BTC-EUR",
    "side": "sell",
    "price": "61501.20",
    "amount": "0.15000000",
    "fee": {
        "amount": "2.25",
        "symbol": "EUR"
    },
    "total": "9225.18",
    "executedAt": "2025-09-11T12:15:30.000Z"
}
Modified at 2026-06-26 13:06:15
Previous
Get trades
Next
Getting started
Built with